The new license still is incompatible with GPLv2: https://mta.openssl.org/pipermail/op...ch/009176.html
However it is with GPLv3...